package org.osconsulting.jerr;

import java.io.Serializable;
import java.util.Collection;

import org.osconsulting.l10n.LocalizedMessage;
import org.osconsulting.l10n.msgstore.MessageStore;
/**
 * An JErrorCode contains alphaumeric code and belongs to a certain category of
 * errors. All JErrorCodes need to be listed in an implementation of the JErrorCategory 
 * abstact class. 
 * 
 * @author Kurt Stam
 * Copyright 2006 osConsulting.org Kurt Stam and Shahar Bar
 *
 */
public class JErrCode extends LocalizedMessage implements Serializable 
{
    private static final long serialVersionUID = 1L;
    
    /**
     * Constructor, should only be called from the custom JErrorCategory to which
     * this errorCode belongs. The error code is the key into error MessageStore to 
     * find the localized error message in the MessageStore.
     * 
     * @param code - alpha numeric code, can be used to display or to lookup the 
     * localized error message.
     * @param errorCategoryClass - the custom implementation of the JErrorCategory class to 
     * which this errorCode belongs.
     */
    public JErrCode(String code, Collection<MessageStore> messageStores){
        super(code, messageStores);
    }
}
