package org.osconsulting.jerr.errors;

import java.util.Locale;

import org.osconsulting.jerr.JErr;
import org.osconsulting.jerr.JErrCode;

public class JErrConfigError extends JErr
{
    private static final long serialVersionUID = 1L;
    private JErrCode jErrorCode;

    public JErrCode getJErrorCode() {
        return jErrorCode;
    }

    public void setErrorCode(JErrCode jErrorCode) {
        this.jErrorCode = jErrorCode;
    }

    public String getLocalizedMessage(Locale locale)
    {
        return getJErrorCode().getLocalizedMessage(locale);
    }

    public JErrConfigError(JErrCode errorCode) {
        super(errorCode);
    }
    
    public JErrConfigError(JErrCode errorCode, String arg) {
        super(errorCode, new String[]{arg});
    }
    
    public JErrConfigError(JErrCode errorCode, String[] args) {
        super(errorCode, args);
    }

    public JErrConfigError(JErrCode errorCode, String arg, String localizedMessage, Throwable cause) {
        super(errorCode, new String[] {arg}, localizedMessage, cause);
    }
    
    public JErrConfigError(JErrCode errorCode, String[] args, String localizedMessage, Throwable cause) {
        super(errorCode, args, localizedMessage, cause);
    }

    public JErrConfigError(JErrCode errorCode, String arg, String localizedMessage) {
        super(errorCode, new String[] {arg}, localizedMessage);
    }
    
    public JErrConfigError(JErrCode errorCode, String[] args, String localizedMessage) {
        super(errorCode, args, localizedMessage);
    }
    
    public JErrConfigError(JErrCode errorCode, String localizedMessage, Throwable cause) {
        super(errorCode, null, localizedMessage, cause);
    }
    
}
