package org.osconsulting.l10n;

import java.util.List;

import org.osconsulting.l10n.msgstore.ConfigurationManager;
import org.osconsulting.l10n.msgstore.MessageStore;

/**
 * L10nCategory is the base class of all Jl10nCategories. The user must extend this
 * class and list all string keys for this new category. See JErrCategory for an example
 * implementation.
 * 
 * @author kstam
 * Copyright 2006 osConsulting.org Kurt Stam and Shahar Bar
 *
 */
public class MessageCategory extends MessageCategoryBase
{
    private static final long serialVersionUID = 1L;
    
    private static List<MessageStore> messageStores = ConfigurationManager.getInstance().getMessageStores(MessageCategory.class);
    
    public static LocalizedMessage MSG001_NO_SUCH_MESSAGE_FOUND = new LocalizedMessage("MSG001", messageStores);
    
    
    
}
