package org.osconsulting.l10n.msgstore;

import java.util.HashMap;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class FileBasedMessageStore implements MessageStore
{
    private final Log log = LogFactory.getLog(this.getClass()); 
    private String bundleFilename;
    
    public String getLocalizedMessage(String key, Locale locale) 
    {
        String message = null;
        try {
            if (log.isDebugEnabled()) {
                log.debug("bundleName=" + bundleFilename + " key=" + key + " locale=" + locale);
            }
            ResourceBundle errorMessageBundle = 
                ResourceBundle.getBundle(bundleFilename, locale);
            message = errorMessageBundle.getString(key);
        } catch (MissingResourceException e) {
            log.debug("No such message store found '" + bundleFilename + "'");
        }
        log.debug("message=" + message);
        return message;
    }
    
    public FileBasedMessageStore(HashMap<String,String> properties) {
        super();
        this.bundleFilename = properties.get("messageBundle");
    }
}
